Codeception を利用したHttpリクエストのテストを試用するためのリポジトリ。

# Install

リポジトリには必要なパッケージを入れていないので、まずは`composer`によってパッケージを導入する。

```
composer install
```

# Database

テストにはデータベースを利用する。
データベースの設定は`.env.testing`の以下の部分を使って修正する

```
DB_CONNECTION=mysql
DB_HOST=db
DB_PORT=3306
DB_DATABASE=homestead
DB_USERNAME=homestead
DB_PASSWORD=secret
```

テスト用のテーブルを生成する

```
DB_HOST=db php artisan migrate
```

`DB_HOST=db`の部分はテスト用のデータベースのホスト名を入力する

# Testing

テストは以下のコマンドで実行できる

```
./vendor/bin/codecept run
```

各テストスイートごとに行いたい場合は

```
./vendor/bin/codecept run -- functional
```
のように指定する。
さらにテストケースを限定し、ファイル単体でテストしたい場合は

```
./vendor/bin/codecept run -- functional PostCreateCest
```
のようにテストケースを指定すれば良い。