<?php

namespace Tests\Feature;

use Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;
use App\User;
use App\Post;

class ExampleTest extends TestCase
{

    use RefreshDatabase;
    /**
     * @test
     */
    public function トップページのテスト()
    {
        $response = $this->get('/');
        $response->assertSee('Laravel');
    }

    public function tesUser()
    {
        factory(User::class, 2)->create();
        $res = $this->getJson('/user');
        echo $res->content();
    }

    /**
     * @test
     */
    public function データ作成()
    {
        $this->post('/posts', [
            'title' => 'テストタイトル',
            'content' => 'テストコンテンツ'
        ]);

        $post = Post::first();
        $this->assertEquals('テストタイトル', $post->title);
    }

    public function テストの書き方()
    {
        // 前提となる状態を整える (DBのデータを入れたり、特定のファイルを置いたり)

        // リクエストを投げる

        // レスポンスの内容を確認する(Httpステータスは200か、期待した文字列はあるか)

        // システムに対する影響を確認する(DBのデータ書き換え、特定ファイルの生成など)
    }
}
